import { html } from "lit";
import { when } from "lit/directives/when.js";
import { renderFieldsetGroup } from "../../fieldset-group.js";
const renderFacetValuesGroup = ({ props })=>(children)=>{
        const label = props.label ? void 0 === props.query ? props.i18n.t('facet-values', {
            label: props.i18n.t(props.label)
        }) : props.i18n.t('facet-search-results', {
            query: props.query,
            label: props.i18n.t(props.label)
        }) : null;
        return when(label, ()=>renderFieldsetGroup({
                props: {
                    label: label
                }
            })(html`${children}`), ()=>html`${children}`);
    };
export { renderFacetValuesGroup };
